## wfview 2.11

=== adpcm/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0...3.5)

# set the project name
project(adpcm-xq LANGUAGES C)

include(CheckLibraryExists)

if(CMAKE_COMPILER_IS_GNUCC OR CMAKE_C_COMPILER_ID MATCHES "Clang")
# lots of warnings and all warnings as errors
  add_compile_options(-Wall)
# add_compile_options(-Wextra)
endif()

# define as library
add_library (adpcm-lib STATIC adpcm-lib.c adpcm-dns.c)

# build executable
add_executable (adpcm-xq-exe adpcm-xq.c)
set_property(TARGET adpcm-xq-exe PROPERTY OUTPUT_NAME adpcm-xq)

check_library_exists(m pow "" HAVE_LIBM)
if(HAVE_LIBM)
  target_link_libraries(adpcm-lib m)
  target_link_libraries(adpcm-xq-exe adpcm-lib)
  target_link_libraries(adpcm-xq-exe m)
endif()

# define location for header files
target_include_directories(adpcm-xq-exe PUBLIC ${CMAKE_CURRENT_SOURCE_DIR} )

## wfview 1.2d

=== debian/changelog ===
wfview (1.2d-1) unstable; urgency=medium

  * New upstream version 1.2d.

 -- Christoph Berg <myon@debian.org>  Mon, 06 Dec 2021 20:13:24 +0100

wfview (1.2b-1) unstable; urgency=medium

  * Initial release.

 -- Christoph Berg <myon@debian.org>  Mon, 01 Nov 2021 16:45:10 +0100

=== debian/control ===
Source: wfview
Section: hamradio
Priority: optional
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 libopus-dev,
 libqcustomplot-dev,
 libqt5multimedia5,
 libqt5multimedia5-plugins,
 libqt5serialport5-dev,
 qtbase5-dev,
 qtmultimedia5-dev,
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://wfview.org/
Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/wfview
Vcs-Git: https://salsa.debian.org/debian-hamradio-team/wfview.git

Package: wfview
Architecture: any
Depends:
 libqt5multimedia5-plugins,
 ${misc:Depends},
 ${shlibs:Depends},
Description: remote-control and waterfall for modern ICOM radios
 wfview is an open-source front-end application for the
 .
  * Icom IC-705 HF portable SDR Amateur Radio
  * Icom IC-7300 HF SDR Amateur Radio
  * Icom IC-7610 HF SDR Amateur Radio
  * Icom IC-7850 HF Hybrid SDR Amateur Radio
  * Icom IC-7851 HF Hybrid SDR Amateur Radio
  * Icom IC-9700 VHF/UHF SDR Amateur Radio
 .
 wfview supports viewing the spectrum display waterfall and most normal radio
 controls. Using wfview, the radio can be operated using the mouse, or just the
 keyboard (great for those with visual impairments), or even a touch screen
 display. The gorgous waterfall spectrum can be displayed on a monitor of any
 size, and can even projected onto a wall for a presentation.

## wfview 1.2e

=== debian/changelog ===
wfview (1.2e-2) unstable; urgency=medium

  * Build both wfview and wfserver (headless version).
  * wfserver.pro: Fix SSE flags in i386/x86_64.

 -- Christoph Berg <myon@debian.org>  Fri, 27 May 2022 11:16:49 +0200

wfview (1.2e-1) unstable; urgency=medium

  * New upstream version 1.2e.

 -- Christoph Berg <myon@debian.org>  Thu, 26 May 2022 16:45:45 +0200

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,14 @@
  Christoph Berg <myon@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
+ libeigen3-dev,
  libopus-dev,
  libqcustomplot-dev,
  libqt5multimedia5,
  libqt5multimedia5-plugins,
  libqt5serialport5-dev,
+ librtaudio-dev,
+ portaudio19-dev,
  qtbase5-dev,
  qtmultimedia5-dev,
 Standards-Version: 4.6.0

## wfview 1.60

=== debian/changelog ===
wfview (1.60-1) unstable; urgency=medium

  * New upstream version 1.60.
  * B-D on libqt5gamepad5-dev and libhidapi-dev.

 -- Christoph Berg <myon@debian.org>  Tue, 14 Feb 2023 09:05:50 +0000

wfview (1.50-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

  [ Christoph Berg ]
  * Build against qcustomplot 2.1. (Closes: 1024103)

 -- Christoph Berg <myon@debian.org>  Wed, 23 Nov 2022 11:42:37 +0100

wfview (1.50-1) unstable; urgency=medium

  * New upstream version 1.50.

 -- Christoph Berg <myon@debian.org>  Mon, 26 Sep 2022 16:30:31 +0200

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,10 @@
 Build-Depends:
  debhelper-compat (= 13),
  libeigen3-dev,
+ libhidapi-dev,
  libopus-dev,
  libqcustomplot-dev,
+ libqt5gamepad5-dev,
  libqt5multimedia5,
  libqt5multimedia5-plugins,
  libqt5serialport5-dev,
@@ -16,7 +18,7 @@
  portaudio19-dev,
  qtbase5-dev,
  qtmultimedia5-dev,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://wfview.org/
 Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/wfview

## wfview 1.64

=== debian/changelog ===
wfview (1.64-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:34:34 +1100

wfview (1.64-2build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 07:30:15 +0000

wfview (1.64-2) unstable; urgency=medium

  * usbcontroller.cpp: Remove broken qToLittleEndian call that was FTBFS'ing
    on big endian archs.

 -- Christoph Berg <myon@debian.org>  Sun, 06 Aug 2023 10:45:32 +0200

wfview (1.64-1) unstable; urgency=medium

  * New upstream version 1.64.

 -- Christoph Berg <myon@debian.org>  Mon, 31 Jul 2023 22:59:04 +0200

wfview (1.62-1) experimental; urgency=medium

  * New upstream version 1.62.

 -- Christoph Berg <myon@debian.org>  Sat, 03 Jun 2023 23:48:57 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: wfview
 Section: hamradio
 Priority: optional
-Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
 Uploaders:
  Christoph Berg <myon@debian.org>,
 Build-Depends:
@@ -15,6 +16,7 @@
  libqt5multimedia5-plugins,
  libqt5serialport5-dev,
  librtaudio-dev,
+ libudev-dev,
  portaudio19-dev,
  qtbase5-dev,
  qtmultimedia5-dev,

=== debian/watch ===
version=4
https://gitlab.com/eliggett/wfview/-/tags .*/wfview-v?(.*).tar.gz

## wfview 2.03

=== debian/changelog ===
wfview (2.03-2deepin2) unstable; urgency=medium

  * fix build 'qmake: could not find a Qt installation of '' '.

 -- lichenggang <lichenggang@deepin.org>  Tue, 19 Aug 2025 14:47:02 +0800

wfview (2.03-2deepin1) unstable; urgency=medium

  * fix build

 -- Cryolitia <cryolitia@deepin.org>  Mon, 16 Jun 2025 11:23:18 +0800

wfview (2.03-2) unstable; urgency=medium

  * Add B-D libqt5websockets5-dev. (Closes: #1092119)

 -- Christoph Berg <myon@debian.org>  Sat, 04 Jan 2025 11:30:55 +0100

wfview (2.03-1) unstable; urgency=medium

  * New upstream version 2.03.

 -- Christoph Berg <myon@debian.org>  Sat, 04 Jan 2025 10:50:38 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: wfview
 Section: hamradio
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
+Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
 Uploaders:
  Christoph Berg <myon@debian.org>,
 Build-Depends:
@@ -15,11 +14,13 @@
  libqt5multimedia5,
  libqt5multimedia5-plugins,
  libqt5serialport5-dev,
+ libqt5websockets5-dev,
  librtaudio-dev,
  libudev-dev,
  portaudio19-dev,
  qtbase5-dev,
  qtmultimedia5-dev,
+ qt5-default,
 Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://wfview.org/

=== debian/rules ===
#!/usr/bin/make -f

export PATH=/usr/lib/qt5/bin/:$(shell printenv PATH)
export QT_SELECT=qt5

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure --builddir=build-wfview -- ../wfview.pro
	dh_auto_configure --builddir=build-wfserver -- ../wfserver.pro

override_dh_auto_build:
	dh_auto_build --builddir=build-wfview
	dh_auto_build --builddir=build-wfserver

override_dh_auto_install:
	dh_auto_install --builddir=build-wfview
	dh_auto_install --builddir=build-wfserver

## wfview 2.11

=== debian/changelog ===
wfview (2.11-2) unstable; urgency=medium

  * Upload to unstable.

 -- Christoph Berg <myon@debian.org>  Wed, 15 Oct 2025 13:02:24 +0200

wfview (2.11-1) experimental; urgency=medium

  * New upstream version 2.11.

 -- Christoph Berg <myon@debian.org>  Sun, 22 Jun 2025 23:00:35 +0200

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,6 @@
  portaudio19-dev,
  qtbase5-dev,
  qtmultimedia5-dev,
- qt5-default,
 Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://wfview.org/

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,4 @@
 #!/usr/bin/make -f
-
-export PATH=/usr/lib/qt5/bin/:$(shell printenv PATH)
-export QT_SELECT=qt5
 
 %:
 	dh $@
